# MIT Kerberos Documentation

Contents | previous | next | index | Search | feedback

# krb5_kt_next_entry - Retrieve the next entry from the key table.

krb5_error_code krb5_kt_next_entry(krb5_context context, krb5_keytab keytab, krb5_keytab_entry *entry, krb5_kt_cursor *cursor)

param:

  [in] context - Library context

  [in] keytab - Key table handle

  [out] entry - Returned key table entry

  [in] cursor - Key table cursor

retval:

  - 0 Success

  - KRB5_KT_END - if the last entry was reached

return:

  - Kerberos error codes

Return the next sequential entry in keytab and advance cursor . Callers must release the returned entry with krb5_kt_free_entry().